Skip to content

Delete Entity

POST
/api/v1/codegen/delete
curl --request POST \
--url https://example.com/api/v1/codegen/delete \
--header 'Content-Type: application/json' \
--data '{ "entity_type": "curated", "entity_name": "example", "hard_delete": false }'

Generate artifacts for deleting an entity.

Args: delete_input: Delete configuration x_environment_id: Environment ID from header (optional)

Returns: - Unity Catalog DROP/TRUNCATE SQL - Updated bundle with entity removed

X-Environment-Id
Any of:
string
Media typeapplication/json
DeleteFlowInput

Input model for deleting flows/connectors.

object
entity_type
required
Entity Type
string
Allowed values: curated consumption connector projection
entity_name
required
Entity Name
string
hard_delete
Hard Delete
boolean

Successful Response

Media typeapplication/json
CodegenResponse

Standard response for all codegen endpoints.

object
status
Status
string
default: success
Allowed values: success error
artifacts
required
Artifacts
Array<object>
ArtifactOutput

Standard artifact output format.

object
path
required
Path
string
content
required
Content
string
file_type
Any of:
string
encode_artifacts
Encode Artifacts
boolean
metadata
Any of:
object
key
additional properties
any
errors
Errors
Array<string>
Example
{
"status": "success",
"artifacts": [
{
"encode_artifacts": false
}
]
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example"
}
]
}